//#define  ESP8266_EVB

#ifdef  ESP8266_EVB
  #define  LED_STATUS_READ  0
  #define  BUTTON_STATUS_WRITE  1
#else
  #define  LED_STATUS_READ  1
  #define  BUTTON_STATUS_WRITE  0
#endif

#define  LED     9 // Yellow
#define  BUTTON  (!!(PINE & 0x04))

#define  UEXT_POWER_PIN  8

void setup()
{
  pinMode (LED_STATUS_READ, INPUT);  // TX
  pinMode (BUTTON_STATUS_WRITE, OUTPUT);  // RX

  pinMode (LED, OUTPUT);
  DDRE = DDRE & 0xFB;  // DDRE.2 = 0  // BUTTON input

  pinMode (UEXT_POWER_PIN, OUTPUT);
  digitalWrite (UEXT_POWER_PIN, LOW);
}

void loop()
{
  digitalWrite (LED, digitalRead (LED_STATUS_READ));
  digitalWrite (BUTTON_STATUS_WRITE, BUTTON);
}

